Bug 79735 - Update Proguard to 3.2
Summary: Update Proguard to 3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-10 05:00 UTC by Manfred Riem
Modified: 2005-04-27 21:06 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manfred Riem 2005-04-10 05:00:45 UTC
The Proguard port is not up to date. Please update it to the latest release. Note, I have mailed the maintainer 2 weeks ago and I have repeated the message a week ago. And so far no reply.

Fix: 

--CHANGES in Makefile ---------------

PORTVERSION=	3.2

--CHANGES in distinfo ---------------

MD5 (proguard3.2.tar.gz) = 64b3c522f07aeb87d567663e0780c146 SIZE (proguard3.2.tar.gz) = 1158638
How-To-Repeat: Compare the Makefile to the current version.
Comment 1 Herve Quiroz freebsd_committer 2005-04-10 16:22:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this. 

BTW, the correct procedure when submitting nonmaintainer changes is to first 
send the PR, and then CC the maintainer in a follow-up message so that GNATS 
may keep track of the maintainer being asked for approval. 

Also, submitters are encouraged to send changes using diff(1). Manfred, I 
remember we already discussed this thing and I still believe tools like 
porttools are useful in this extend. 

Herve
Comment 2 Hervé Quiroz 2005-04-10 16:27:26 UTC
Dear maintainer,

Do you approve the changes in this PR?

http://www.freebsd.org/cgi/query-pr.cgi?pr=79735

Herve
Comment 3 Herve Quiroz freebsd_committer 2005-04-13 00:59:38 UTC
State Changed
From-To: open->feedback

Maintainer asked for feedback.
Comment 4 Manfred Riem 2005-04-21 02:16:53 UTC
You're right I should be using porttools. This fix
was just so obvious. Anyway, 4 days to go and then
it is triggered as maintainer timeout right?
Comment 5 Manfred Riem 2005-04-25 01:40:55 UTC
Hi Herve,

Can you apply the patch? The maintainer hasn't responded
in the 2 weeks time period. 

Thanks a lot!

Manfred Riem
mriem@manorrock.org
http://www.manorrock.org/
Comment 6 Hervé Quiroz 2005-04-26 23:37:35 UTC
Manfred,

With your suggested modifications:

===>  Deinstalling for java/proguard
===>   Deinstalling proguard-3.2
pkg_delete: file '/usr/local/share/proguard/docs/LGPL.html' doesn't really exist
pkg_delete: unable to completely remove directory '/usr/local/share/proguard/lib'
pkg_delete: unable to completely remove directory '/usr/local/share/proguard/docs/manual/retrace'
pkg_delete: unable to completely remove directory '/usr/local/share/proguard/docs/manual'
pkg_delete: unable to completely remove directory '/usr/local/share/proguard/docs'
pkg_delete: unable to completely remove directory '/usr/local/share/proguard/examples'
pkg_delete: unable to completely remove directory '/usr/local/share/proguard'
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)

Do you have any fix for this?

Also, is there anything that prevents us from installing docs in
${DOCSDIR} and samples in ${EXAMPLESDIR} ?

Herve
Comment 7 Herve Quiroz freebsd_committer 2005-04-27 21:05:31 UTC
State Changed
From-To: feedback->closed

Patch commited. 

BTW, I added two launcher scripts to the port. Refer to the commit log for more 
information. 

Thanks for your contribution!